=== debian/changelog ===
btor2tools (1.0.2~git20250507.fb69ee3-2) unstable; urgency=medium

  * Refine d/copyright after Gateway to new hints
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jan 2026 15:05:45 +0100

btor2tools (1.0.2~git20250507.fb69ee3-1) unstable; urgency=medium

  * Initial release (Closes: #1111868)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Aug 2025 06:54:26 +0200
