=== debian/control ===
Source: btor2tools
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               d-shlibs
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/science-team/btor2tools
Vcs-Git: https://salsa.debian.org/science-team/btor2tools.git
Homepage: https://github.com/boolector/btor2tools

Package: btor2tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbtor2tools0
Description: generic parser and tools for the BTOR2 format
 BTOR2 is a word-level model checking format for capturing models of
 hardware and potentially software in a bit-precise manner. This simple,
 line-based and easy to parse format can be seen as a sorted extension of
 the word-level format BTOR. It uses design principles from the bit-level
 format AIGER and follows semantics of the SMT-LIB logics of bit-vectors
 with arrays. This intermediate format can be used in various
 verification flows and is perfectly suited to establish a word-level
 model checking competition.

Package: libbtor2parser0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library for generic parser and tools for the BTOR2 format
 BTOR2 is a word-level model checking format for capturing models of
 hardware and potentially software in a bit-precise manner. This simple,
 line-based and easy to parse format can be seen as a sorted extension of
 the word-level format BTOR. It uses design principles from the bit-level
 format AIGER and follows semantics of the SMT-LIB logics of bit-vectors
 with arrays. This intermediate format can be used in various
 verification flows and is perfectly suited to establish a word-level
 model checking competition.
 .
 This package provides the shared library.

Package: libbtor2parser-dev
Architecture: any
Section: libdevel
Depends: libbtor2parser0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: development lib for generic parser and tools for the BTOR2 format
 BTOR2 is a word-level model checking format for capturing models of
 hardware and potentially software in a bit-precise manner. This simple,
 line-based and easy to parse format can be seen as a sorted extension of
 the word-level format BTOR. It uses design principles from the bit-level
 format AIGER and follows semantics of the SMT-LIB logics of bit-vectors
 with arrays. This intermediate format can be used in various
 verification flows and is perfectly suited to establish a word-level
 model checking competition.
 .
 This package provides the header file and the static library.
