=== debian/watch ===
version=4

# using '~' to be able to stick to version 1.0.2 which might be a previous tag then latest
opts="mode=git,pretty=1.0.2~git%cd.%h" \
    https://github.com/hwmcc/btor2tools.git HEAD

# Asked for tags
#  https://github.com/hwmcc/btor2tools/issues/32
